Skip to main content
Start the server:
pip install "ragrails[server-qdrant]"
ragrails-api
Base URL: http://127.0.0.1:8000 Interactive docs: http://127.0.0.1:8000/docs

Health

MethodEndpointDescription
GET/v1/healthReturns {"status": "ok"}

Ingestion

MethodEndpointDescription
POST/v1/ingest/urlScrape URLs
POST/v1/ingest/docsParse documents
POST/v1/ingest/apiFetch REST APIs

Processing

MethodEndpointDescription
POST/v1/chunkChunk documents
POST/v1/embedEmbed chunks

Storage

MethodEndpointDescription
POST/v1/storeStore embedded chunks
POST/v1/editRe-embed and replace stored chunks
POST/v1/deleteDelete stored chunks

Retrieval

MethodEndpointDescription
POST/v1/retrieveRetrieve relevant chunks

Pipeline

MethodEndpointDescription
POST/v1/pipelines/ingestFull ingest pipeline
POST/v1/pipelines/queryQuery pipeline

Chat

MethodEndpointDescription
POST/v1/chatStateless RAG chat turn
See the Swagger UI at /docs for full request and response schemas.